Docs

Odin v1

Context window, capabilities and prices for odin-v1.

PropertyValue
Model idodin-v1
Context window1,000,000 tokens
Max output999,990 tokens
InputText only
Tool callingYes
Reasoning controlYes
Endpoints/v1/chat/completions, /v1/responses, /v1/messages

Prices

Per 1 million tokens. Organizations in Europe pay in EUR, everyone else in USD.

Token typeEURUSD
Input€4.05$4.50
Cached input€0.405$0.45
Output (including reasoning)€6.75$7.50

Cached input applies to tokens read from the prompt cache. Token counting with /v1/messages/count_tokens is free.

Use it

curl https://api.interodin.com/v1/chat/completions \
  -H "Authorization: Bearer $INTERODIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"model": "odin-v1", "messages": [{"role": "user", "content": "Hello"}]}'

For Claude Code, set the context window to match:

{
  "env": {
    "ANTHROPIC_DEFAULT_OPUS_MODEL": "odin-v1",
    "ANTHROPIC_DEFAULT_SONNET_MODEL": "odin-v1",
    "ANTHROPIC_DEFAULT_HAIKU_MODEL": "odin-v1",
    "CLAUDE_CODE_MAX_CONTEXT_TOKENS": "1000000"
  }
}

On this page